Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# os_socket.h File Reference

`#include "ace/config-lite.h"`
`#include "ace/os_include/sys/os_uio.h"`

Include dependency graph for os_socket.h:

This graph shows which files directly or indirectly include this file:

## Classes
struct | msghdr
struct | msghdr
## Defines
#define | AF_ANY (-1)
#define | AF_SPIPE (AF_MAX + 1)
#define | AF_FILE (AF_MAX + 2)
#define | AF_DEV (AF_MAX + 3)
#define | AF_UPIPE (AF_SPIPE)
#define | ACE_ADDRESS_FAMILY_INET AF_INET6
#define | ACE_PROTOCOL_FAMILY_INET PF_INET6
## Typedefs
typedef int | ACE_SOCKET_LEN

## Detailed Description

main sockets header

Id
  os_socket.h,v 1.11 2006/01/04 08:30:07 jwillemsen Exp

Author:
  Don Hinton <dhinton@dresystems.com>

  This code was originally in various places including ace/OS.h.

## Define Documentation

#define ACE_ADDRESS_FAMILY_INET AF_INET6

#define ACE_PROTOCOL_FAMILY_INET PF_INET6

#define AF_ANY (-1)

#define AF_DEV (AF_MAX + 3)

#define AF_FILE (AF_MAX + 2)

#define AF_SPIPE (AF_MAX + 1)

#define AF_UPIPE (AF_SPIPE)

## Typedef Documentation

typedef int ACE_SOCKET_LEN